Subject: Re: [Linuxptp-devel] RFC [PATCH 2/3] PTP: use flags to request HW features

From: Flavio Leitner <[email-masked]>
Date: Thu, 31 Oct 2013 23:34:19 -0200

On Thu, Oct 31, 2013 at 08:12:58AM +0100, Richard Cochran wrote:
> On Wed, Oct 30, 2013 at 07:48:41PM -0200, Flavio Leitner wrote:
> > On Wed, Oct 30, 2013 at 05:00:36PM -0200, Flavio Leitner wrote:
> > > Currently the user space can't tell which delay mechanism
> > > (E2E/P2P) or transport is needed in the ioctl(). Therefore,
> > > PTP silently fails when the hardware doesn't support a
> > > certain delay mechanism or transport.
> 
> [ For netdev readers, the text below repeats what I posted to the
>   linuxptp-devel list. ]

I am reconsidering about extending ethtool instead, so I'd like to
drop these patches for now.
Thanks Richard and Jacob for the contributions,
fbl